Subject: RE: [bmwg] Comments on draft-ietf-bmwg-igp-dataplane-conv-meth-00 .txt

From: Thomas Eriksson <[email-masked]>
Date: Fri, 25 Jul 2003 09:55:51 +0200

I believe this has to do with that when going from preferred to backup, we 
start loosing packets directly, but when going from from backup to 
preferred we can continuously forward packets until we have installed the 
new route at hardware level and then switch over. This of course have to do 
with how router vendors implement things internally.

Jerry, I have seen it as well when doing test.

Thomas

At 10:10 2003-07-24 -0700, Perser, Jerry wrote:
>Convergence time when traffic goes from backup path to preferred path should
>be a separate metric.  In past tests, we were toggling the preferred path
>status up and down.  We notice that the convergence times were different.  I
>do not have an explanation for why failure was different than restore.  This
>asymmetrical convergence time was observed on several different routers.
>
>Jerry.
>___________________________________________________________
>Jerry Perser                         Spirent Communications
>Director of Test Methodology         SmartBits Division
>Phone: 818.676.2320                  26750 Agoura Road
>Lab:   818.676.2337                  Calabasas, CA, 91302
>Cell:  818.292.6457                  Corp:  818.676.2300
>
> > -----Original Message-----
> > From: Thomas Eriksson [mailto:[email-masked]]
> > Sent: Thursday, July 24, 2003 8:04 AM
> > To: [email-masked]
> > Subject: [bmwg] Comments on
> > draft-ietf-bmwg-igp-dataplane-conv-meth-00.txt
> >
> >
> > Here are some comments on
> > draft-ietf-bmwg-igp-dataplane-conv-meth-00.txt.
> >
> > The draft is focusing mainly on convergence time when things
> > break. It may
> > also be interesting to study the convergence time when
> > traffic goes from
> > backup path to preferred path.
> >
> > An interesting test case is when ECMP is used on the SUT and
> > we want to
> > benchmark convergence time. I do not think that the current
> > methodology
> > will work for this case because some traffic will go over the
> > "backup path"
> > as well. This could be fixed by measuring the traffic on the
> > "prefered
> > path" and when this traffic is rerouted to the "backup path"
> > calculate
> > convergence time based on that. I am not sure however is if
> > is possible to
> > produce comparable results when using ECMP ? (I guess it somewhat
> > implementation dependent function).
> >
> > Thomas
> >
> >
> > _______________________________________________
> > bmwg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/bmwg
> >
>
>_______________________________________________
>bmwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/bmwg

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg